#!/usr/bin/env ruby
# encoding: UTF-8

## Internal script that helps load local instances of LDAP with bad entries for testing/verification without
## having to load potentially sensitive information from an LDAP export from one of the live environments.
##
## This script is meant to run on the local test LDAP server directly as it uses hardwired default credentials
## and isn't secure. It also generates a ton of junk data which is only suitable for testing purposes. 

## Domains to use to load random user entries into , sourced from https://github.com/unkn0w/disposable-email-domain-list
DOMAINS = [
  "0-00.usa.cc",
  "0-mail.com",
  "001.igg.biz",
  "027168.com",
  "0815.ru",
  "0815.ry",
  "0815.su",
  "0845.ru",
  "0box.eu",
  "0clickemail.com",
  "0mel.com",
  "0v.ro",
  "0w.ro",
  "0wnd.net",
  "0wnd.org",
  "0x01.gq",
  "0x01.tk",
  "0x207.info",
  "1-8.biz",
  "1000rebates.stream",
  "100likers.com",
  "10mail.com",
  "10mail.org",
  "10minut.com.pl",
  "10minut.xyz",
  "10minutemail.be",
  "10minutemail.cf",
  "10minutemail.co.uk",
  "10minutemail.co.za",
  "10minutemail.com",
  "10minutemail.de",
  "10minutemail.ga",
  "10minutemail.gq",
  "10minutemail.ml",
  "10minutemail.net",
  "10minutemail.nl",
  "10minutemail.pro",
  "10minutemail.us",
  "10minutemailbox.com",
  "10minutemails.in",
  "10minutenemail.de",
  "10minutesmail.com",
  "10minutesmail.fr",
  "10minutmail.pl",
  "10x9.com",
  "11163.com",
  "123-m.com",
  "12hosting.net",
  "12houremail.com",
  "12minutemail.com",
  "12minutemail.net",
  "12storage.com",
  "140unichars.com",
  "147.cl",
  "14n.co.uk",
  "15qm.com",
  "1ce.us",
  "1chuan.com",
  "1clck2.com",
  "1fsdfdsfsdf.tk",
  "1mail.ml",
  "1pad.de",
  "1st-forms.com",
  "1to1mail.org",
  "1usemail.com",
  "1webmail.info",
  "1zhuan.com",
  "2.0-00.usa.cc",
  "20email.eu",
  "20email.it",
  "20mail.eu",
  "20mail.in",
  "20mail.it",
  "20minutemail.com",
  "20mm.eu",
  "2120001.net",
  "21cn.com",
  "24hourmail.com",
  "24hourmail.net",
  "2anom.com",
  "2ether.net",
  "2fdgdfgdfgdf.tk",
  "2nd-mail.xyz",
  "2odem.com",
  "2prong.com",
  "2wc.info",
  "300book.info",
  "30mail.ir",
  "30minutemail.com",
  "30wave.com",
  "3202.com",
  "333.igg.biz",
  "33mail.com",
  "36ru.com",
  "3d-painting.com",
  "3l6.com",
  "3mail.ga",
  "3trtretgfrfe.tk",
  "4-n.us",
  "4057.com",
  "418.dk",
  "42o.org",
  "4gfdsgfdgfd.tk",
  "4mail.cf",
  "4mail.ga",
  "4tb.host",
  "4warding.com",
  "4warding.net",
  "4warding.org",
  "50mb.ml",
  "55hosting.net",
  "5ghgfhfghfgh.tk",
  "5gramos.com",
  "5july.org",
  "5mail.cf",
  "5mail.ga",
  "5oz.ru",
  "5x25.com",
  "5ymail.com",
  "6-6-6.igg.biz",
  "6-6-6.nut.cc",
  "6-6-6.usa.cc",
  "60minutemail.com",
  "672643.net",
  "675hosting.com",
  "675hosting.net",
  "675hosting.org",
  "6hjgjhgkilkj.tk",
  "6ip.us",
  "6mail.cf",
  "6mail.ga",
  "6mail.ml",
  "6paq.com",
  "6url.com",
  "75hosting.com",
  "75hosting.net",
  "75hosting.org",
  "7days-printing.com",
  "7mail.ga",
  "7mail.ml",
  "7tags.com",
  "80665.com",
  "8127ep.com",
  "8mail.cf",
  "8mail.ga",
  "8mail.ml",
  "99.com",
  "99experts.com",
  "9mail.cf",
  "9me.site",
  "9ox.net",
  "9q.ro",
  "a-bc.net",
  "a.safe-mail.gq",
  "a45.in",
  "a7996.com",
  "aa5zy64.com",
  "ab0.igg.biz",
  "abacuswe.us",
  "abakiss.com",
  "abcmail.email",
  "abilitywe.us",
  "abnamro.usa.cc",
  "abovewe.us",
  "absolutewe.us",
  "abundantwe.us",
  "abusemail.de",
  "abuser.eu",
  "abyssmail.com",
  "ac20mail.in",
  "academiccommunity.com",
  "academywe.us",
  "acceleratewe.us",
  "accentwe.us",
  "acceptwe.us",
  "acclaimwe.us",
  "accordwe.us",
  "accreditedwe.us",
  "acentri.com",
  "achievementwe.us",
  "achievewe.us",
  "acornwe.us",
  "acrylicwe.us",
  "activatewe.us",
  "activitywe.us",
  "acuitywe.us",
  "acumenwe.us",
  "adaptivewe.us",
  "adaptwe.us",
  "add3000.pp.ua",
  "addictingtrailers.com",
  "adeptwe.us",
  "adiq.eu",
  "aditus.info",
  "admiralwe.us",
  "ado888.biz",
  "adobeccepdm.com",
  "adoniswe.us",
  "adpugh.org",
  "adsd.org",
  "adubiz.info",
  "advantagewe.us",
  "advantimo.com",
  "adventurewe.us",
  "adventwe.us",
  "advisorwe.us",
  "advocatewe.us",
  "adwaterandstir.com",
  "aegde.com",
  "aegia.net",
  "aegiscorp.net",
  "aegiswe.us",
  "aelo.es",
  "aeonpsi.com",
  "affiliate-nebenjob.info",
  "affiliatedwe.us",
  "affilikingz.de",
  "affinitywe.us",
  "affluentwe.us",
  "affordablewe.us",
  "afrobacon.com",
  "afterhourswe.us",
  "agedmail.com",
  "agendawe.us",
  "agger.ro",
  "agilewe.us",
  "agorawe.us",
  "agtx.net",
  "aheadwe.us",
  "ahk.jp",
  "air2token.com",
  "airsi.de",
  "ajaxapp.net",
  "akapost.com",
  "akerd.com",
  "akgq701.com",
  "al-qaeda.us",
  "albionwe.us",
  "alchemywe.us",
  "alfaromeo.igg.biz",
  "asdf.pl",
  "aliaswe.us",
  "alienware13.com",
  "aligamel.com",
  "alisongamel.com",
  "alivance.com",
  "alivewe.us",
  "allaccesswe.us",
  "allamericanwe.us",
  "allaroundwe.us",
  "alldirectbuy.com",
  "allegiancewe.us",
  "allegrowe.us",
  "allgoodwe.us",
  "alliancewe.us",
  "allinonewe.us",
  "allofthem.net",
  "alloutwe.us",
  "allowed.org",
  "alloywe.us",
  "allprowe.us",
  "allseasonswe.us",
  "allstarwe.us",
  "allthegoodnamesaretaken.org",
  "allurewe.us",
  "almondwe.us",
  "alph.wtf",
  "alphaomegawe.us",
  "alpinewe.us",
  "altairwe.us",
  "altitudewe.us",
  "altuswe.us",
  "ama-trade.de",
  "ama-trans.de",
  "amadeuswe.us",
  "amail.club",
  "amail.com",
  "amail4.me",
  "amazon-aws.org",
  "amberwe.us",
  "ambiancewe.us",
  "ambitiouswe.us",
  "amelabs.com",
  "americanawe.us",
  "americasbestwe.us",
  "americaswe.us",
  "amicuswe.us",
  "amilegit.com",
  "amiri.net",
  "amiriindustries.com",
  "amplewe.us",
  "amplifiedwe.us",
  "amplifywe.us",
  "ampsylike.com",
  "analogwe.us",
  "analysiswe.us",
  "analyticalwe.us",
  "analyticswe.us",
  "analyticwe.us",
  "anappfor.com",
  "anappthat.com",
  "andreihusanu.ro",
  "andthen.us",
  "animesos.com",
  "anit.ro",
  "ano-mail.net",
  "anon-mail.de",
  "anonbox.net",
  "anonmail.top",
  "anonmails.de",
  "anonymail.dk",
  "anonymbox.com",
  "anonymized.org",
  "anonymousness.com",
  "ansibleemail.com",
  "anthony-junkmail.com",
  "antireg.com",
  "antireg.ru",
  "antispam.de",
  "antispam24.de",
  "antispammail.de",
  "anyalias.com",
  "aoeuhtns.com",
  "apfelkorps.de",
  "aphlog.com",
  "apkmd.com",
  "appc.se",
  "appinventor.nl",
  "appixie.com",
  "apps.dj",
  "apssdc.ml",
  "arduino.hk",
  "ariaz.jetzt",
  "armyspy.com",
  "aron.us",
  "arroisijewellery.com",
  "art-en-ligne.pro",
  "artman-conception.com",
  "arurgitu.gq",
  "arvato-community.de",
  "aschenbrandt.net",
  "asdasd.nl",
  "asdasd.ru",
  "asdhgsad.com",
  "ashleyandrew.com",
  "asiarap.usa.cc",
  "asorent.com",
  "ass.pp.ua",
  "astonut.tk",
  "astroempires.info",
  "asu.mx",
  "asu.su",
  "at0mik.org",
  "audi.igg.biz",
  "augmentationtechnology.com",
  "ausgefallen.info",
  "auti.st",
  "autorobotica.com",
  "autotwollow.com",
  "aver.com",
  "averdov.com",
  "avia-tonic.fr",
  "avls.pt",
  "awatum.de",
  "awiki.org",
  "axiz.org",
  "axon7zte.com",
  "axsup.net",
  "azcomputerworks.com",
  "azmeil.tk",
  "b1of96u.com",
  "b2bx.net",
  "b2cmail.de",
  "badgerland.eu",
  "badoop.com",
  "badpotato.tk",
  "banit.club",
  "banit.me",
  "bareed.ws",
  "barryogorman.com",
  "bartdevos.be",
  "basscode.org",
  "bauwerke-online.com",
  "baxomale.ht.cx",
  "bazaaboom.com",
  "bbbbyyzz.info",
  "bbhost.us",
  "bcast.ws",
  "bcb.ro",
  "bccto.me",
  "bdmuzic.pw",
  "bearsarefuzzy.com",
  "beddly.com",
  "beefmilk.com",
  "belamail.org",
  "belljonestax.com",
  "benipaula.org",
  "bestchoiceusedcar.com",
  "bestoption25.club",
  "betr.co",
  "bgtmail.com",
  "bgx.ro",
  "bidourlnks.com",
  "big1.us",
  "bigprofessor.so",
  "bigstring.com",
  "bigwhoop.co.za",
  "bij.pl",
  "binka.me",
  "binkmail.com",
  "binnary.com",
  "bio-muesli.info",
  "bio-muesli.net",
  "bitwhites.top",
  "bitymails.us",
  "blackmarket.to",
  "bladesmail.net",
  "blip.ch",
  "blnkt.net",
  "blogmyway.org",
  "blogspam.ro",
  "blow-job.nut.cc",
  "bluedumpling.info",
  "bluewerks.com",
  "boatmail.us",
  "bobmail.info",
  "bobmurchison.com",
  "bofthew.com",
  "bonobo.email",
  "bookthemmore.com",
  "bootybay.de",
  "borged.com",
  "borged.net",
  "borged.org",
  "bot.nu",
  "boun.cr",
  "bouncr.com",
  "boxformail.in",
  "boximail.com",
  "boxtemp.com.br",
  "brandallday.net",
  "brasx.org",
  "breakthru.com",
  "brefmail.com",
  "brennendesreich.de",
  "briggsmarcus.com",
  "broadbandninja.com",
  "bsnow.net",
  "bspamfree.org",
  "bspooky.com",
  "bst-72.com",
  "btb-notes.com",
  "btc.email",
  "btcmail.pw",
  "btcmail.pwguerrillamail.net",
  "btizet.pl",
  "buffemail.com",
  "bugmenever.com",
  "bugmenot.com",
  "bulrushpress.com",
  "bum.net",
  "bumpymail.com",
  "bunchofidiots.com",
  "bund.us",
  "bundes-li.ga",
  "bunsenhoneydew.com",
  "burnthespam.info",
  "burstmail.info",
  "businessbackend.com",
  "businesssuccessislifesuccess.com",
  "buspad.org",
  "bussitussi.com",
  "buymoreplays.com",
  "buyordie.info",
  "buyusedlibrarybooks.org",
  "buzzcluby.com",
  "byebyemail.com",
  "byespm.com",
  "byom.de",
  "c51vsgq.com",
  "cachedot.net",
  "californiafitnessdeals.com",
  "cam4you.cc",
  "camping-grill.info",
  "candymail.de",
  "cane.pw",
  "car101.pro",
  "carbtc.net",
  "cars2.club",
  "carsencyclopedia.com",
  "caseedu.tk",
  "casualdx.com",
  "cavi.mx",
  "cbair.com",
  "cc-cc.usa.cc",
  "cc.liamria",
  "cd.mintemail.com",
  "cdpa.cc",
  "ceed.se",
  "cek.pm",
  "cellurl.com",
  "centermail.com",
  "centermail.net",
  "cetpass.com",
  "cfo2go.ro",
  "ch.tc",
  "chacuo.net",
  "chaichuang.com",
  "chalupaurybnicku.cz",
  "chammy.info",
  "cheaphub.net",
  "cheatmail.de",
  "chibakenma.ml",
  "chickenkiller.com",
  "chielo.com",
  "childsavetrust.org",
  "chilkat.com",
  "chithinh.com",
  "choco.la",
  "chogmail.com",
  "choicemail1.com",
  "chong-mail.com",
  "chong-mail.net",
  "chong-mail.org",
  "chumpstakingdumps.com",
  "cigar-auctions.com",
  "civx.org",
  "cjpeg.com",
  "ckiso.com",
  "cl-cl.org",
  "cl0ne.net",
  "clandest.in",
  "clearwatermail.info",
  "clickdeal.co",
  "clipmail.eu",
  "clixser.com",
  "clrmail.com",
  "cmail.club",
  "cmail.com",
  "cmail.net",
  "cmail.org",
  "cnamed.com",
  "cnew.ir",
  "cnmsg.net",
  "cnsds.de",
  "cobarekyo1.ml",
  "cocovpn.com",
  "codeandscotch.com",
  "codivide.com",
  "coieo.com",
  "coldemail.info",
  "compareshippingrates.org",
  "completegolfswing.com",
  "comwest.de",
  "consumerriot.com",
  "contbay.com",
  "cool.fr.nf",
  "coolandwacky.us",
  "coolimpool.org",
  "coreclip.com",
  "correo.blogos.net",
  "cosmorph.com",
  "courrieltemporaire.com",
  "coza.ro",
  "crankhole.com",
  "crapmail.org",
  "crastination.de",
  "crazespaces.pw",
  "crazymailing.com",
  "cream.pink",
  "cross-law.ga",
  "cross-law.gq",
  "crossroadsmail.com",
  "crusthost.com",
  "csh.ro",
  "cszbl.com",
  "ctmailing.us",
  "ctos.ch",
  "cu.cc",
  "cubiclink.com",
  "cuirushi.org",
  "curlhph.tk",
  "curryworld.de",
  "cust.in",
  "cutout.club",
  "cuvox.de",
  "cyber-innovation.club",
  "cyber-phone.eu",
  "cylab.org",
  "d1yun.com",
  "d3p.dk",
  "dab.ro",
  "dacoolest.com",
  "daemsteam.com",
  "daibond.info",
  "daintly.com",
  "damai.webcam",
  "dammexe.net",
  "damnthespam.com",
  "dandikmail.com",
  "darkharvestfilms.com",
  "daryxfox.net",
  "dash-pads.com",
  "dataarca.com",
  "datarca.com",
  "datazo.ca",
  "datum2.com",
  "davidkoh.net",
  "davidlcreative.com",
  "dawin.com",
  "dayrep.com",
  "dbunker.com",
  "dbz5mchild.com",
  "dcemail.com",
  "ddcrew.com",
  "de-a.org",
  "deadaddress.com",
  "deadchildren.org",
  "deadfake.cf",
  "deadfake.ga",
  "deadfake.ml",
  "deadfake.tk",
  "deadspam.com",
  "deagot.com",
  "dealja.com",
  "dealrek.com",
  "deekayen.us",
  "defomail.com",
  "degradedfun.net",
  "delayload.com",
  "delayload.net",
  "delikkt.de",
  "demen.ml",
  "dengekibunko.ga",
  "dengekibunko.gq",
  "dengekibunko.ml",
  "der-kombi.de",
  "derkombi.de",
  "derluxuswagen.de",
  "despam.it",
  "despammed.com",
  "dev-null.cf",
  "dev-null.ga",
  "dev-null.gq",
  "dev-null.ml",
  "devnullmail.com",
  "deyom.com",
  "dharmatel.net",
  "dhm.ro",
  "dhy.cc",
  "dialogus.com",
  "diapaulpainting.com",
  "digitalesbusiness.info",
  "digitalmariachis.com",
  "digitalsanctuary.com",
  "dildosfromspace.com",
  "dingbone.com",
  "disaq.com",
  "disbox.org",
  "discard.cf",
  "discard.email",
  "discard.ga",
  "discard.gq",
  "discard.ml",
  "discard.tk",
  "discardmail.com",
  "discardmail.de",
  "disign-concept.eu",
  "disign-revelation.com",
  "dispo.in",
  "dispomail.eu",
  "disposable-email.ml",
  "disposable.cf",
  "disposable.ga",
  "disposable.ml",
  "disposableaddress.com",
  "disposableemailaddresses.com",
  "disposableinbox.com",
  "disposablemails.com",
  "dispose.it",
  "disposeamail.com",
  "disposemail.com",
  "dispostable.com",
  "divad.ga",
  "divermail.com",
  "divismail.ru",
  "diwaq.com",
  "dlemail.ru",
  "dmarc.ro",
  "dndent.com",
  "dnses.ro",
  "doanart.com",
  "dob.jp",
  "dodgeit.com",
  "dodgemail.de",
  "dodgit.com",
  "dodgit.org",
  "dodsi.com",
  "doiea.com",
  "dolphinnet.net",
  "domforfb1.tk",
  "domforfb18.tk",
  "domforfb19.tk",
  "domforfb2.tk",
  "domforfb23.tk",
  "domforfb27.tk",
  "domforfb29.tk",
  "domforfb3.tk",
  "domforfb4.tk",
  "domforfb5.tk",
  "domforfb6.tk",
  "domforfb7.tk",
  "domforfb8.tk",
  "domforfb9.tk",
  "domozmail.com",
  "donemail.ru",
  "dongqing365.com",
  "dontreg.com",
  "dontsendmespam.de",
  "doquier.tk",
  "dotman.de",
  "dotmsg.com",
  "dotslashrage.com",
  "douchelounge.com",
  "dozvon-spb.ru",
  "dp76.com",
  "dqnwara.com",
  "dr69.site",
  "drdrb.com",
  "drdrb.net",
  "dred.ru",
  "drevo.si",
  "drivetagdev.com",
  "droolingfanboy.de",
  "dropcake.de",
  "droplar.com",
  "dropmail.me",
  "dsiay.com",
  "dspwebservices.com",
  "duam.net",
  "duck2.club",
  "dudmail.com",
  "duk33.com",
  "dukedish.com",
  "dump-email.info",
  "dumpandjunk.com",
  "dumpmail.de",
  "dumpyemail.com",
  "durandinterstellar.com",
  "duskmail.com",
  "dwse.edu.pl",
  "dyceroprojects.com",
  "dz17.net",
  "e-mail.com",
  "e-mail.igg.biz",
  "e-mail.org",
  "e-mailbox.ga",
  "e-tomarigi.com",
  "e3z.de",
  "e4ward.com",
  "easy-trash-mail.com",
  "easynetwork.info",
  "easytrashmail.com",
  "eatmea2z.club",
  "eay.jp",
  "ebeschlussbuch.de",
  "ecallheandi.com",
  "ecolo-online.fr",
  "edgex.ru",
  "edinburgh-airporthotels.com",
  "edv.to",
  "ee1.pl",
  "ee2.pl",
  "eelmail.com",
  "efxs.ca",
  "einmalmail.de",
  "einrot.com",
  "einrot.de",
  "eintagsmail.de",
  "elearningjournal.org",
  "electro.mn",
  "elitevipatlantamodels.com",
  "email-fake.cf",
  "email-fake.com",
  "email-fake.ga",
  "email-fake.gq",
  "email-fake.ml",
  "email-fake.tk",
  "email-jetable.fr",
  "email-temp.com",
  "email.cbes.net",
  "email.net",
  "email60.com",
  "emailage.cf",
  "emailage.ga",
  "emailage.gq",
  "emailage.ml",
  "emailage.tk",
  "emaildienst.de",
  "emailfake.ml",
  "emailfake.nut.cc",
  "emailfake.usa.cc",
  "emailfreedom.ml",
  "emailgo.de",
  "emailias.com",
  "emailigo.de",
  "emailinfive.com",
  "emailisvalid.com",
  "emaillime.com",
  "emailmiser.com",
  "emailna.co",
  "emailo.pro",
  "emailproxsy.com",
  "emailresort.com",
  "emails.ga",
  "emailsecurer.com",
  "emailsensei.com",
  "emailsingularity.net",
  "emailspam.cf",
  "emailspam.ga",
  "emailspam.gq",
  "emailspam.ml",
  "emailspam.tk",
  "emailsy.info",
  "emailtech.info",
  "emailtemporanea.com",
  "emailtemporanea.net",
  "emailtemporar.ro",
  "emailtemporario.com.br",
  "emailthe.net",
  "emailtmp.com",
  "emailto.de",
  "emailure.net",
  "emailwarden.com",
  "emailx.at.hm",
  "emailxfer.com",
  "emailz.cf",
  "emailz.ga",
  "emailz.gq",
  "emailz.ml",
  "emeil.in",
  "emeil.ir",
  "emeraldwebmail.com",
  "emil.com",
  "emkei.cf",
  "emkei.ga",
  "emkei.gq",
  "emkei.ml",
  "emkei.tk",
  "eml.pp.ua",
  "emlhub.com",
  "emlpro.com",
  "emltmp.com",
  "empireanime.ga",
  "emz.net",
  "enterto.com",
  "envy17.com",
  "epb.ro",
  "ephemail.net",
  "ephemeral.email",
  "eqiluxspam.ga",
  "ericjohnson.ml",
  "ero-tube.org",
  "esc.la",
  "escapehatchapp.com",
  "esemay.com",
  "esgeneri.com",
  "esprity.com",
  "estate-invest.fr",
  "eth2btc.info",
  "ether123.net",
  "ethereum1.top",
  "ethersports.org",
  "ethersportz.info",
  "etlgr.com",
  "etranquil.com",
  "etranquil.net",
  "etranquil.org",
  "euaqa.com",
  "evanfox.info",
  "evilcomputer.com",
  "evopo.com",
  "evyush.com",
  "exitstageleft.net",
  "explodemail.com",
  "express.net.ua",
  "extremail.ru",
  "eyepaste.com",
  "ez.lv",
  "ezfill.com",
  "ezstest.com",
  "f4k.es",
  "f5.si",
  "facebook-email.cf",
  "facebook-email.ga",
  "facebook-email.ml",
  "facebookmail.gq",
  "facebookmail.ml",
  "fackme.gq",
  "fadingemail.com",
  "faecesmail.me",
  "fag.wf",
  "failbone.com",
  "faithkills.com",
  "fake-email.pp.ua",
  "fake-mail.cf",
  "fake-mail.ga",
  "fake-mail.ml",
  "fakedemail.com",
  "fakeinbox.cf",
  "fakeinbox.com",
  "fakeinbox.ga",
  "fakeinbox.info",
  "fakeinbox.ml",
  "fakeinbox.tk",
  "fakeinformation.com",
  "fakemail.fr",
  "fakemailgenerator.com",
  "fakemailz.com",
  "fammix.com",
  "fangoh.com",
  "fansworldwide.de",
  "fantasymail.de",
  "farrse.co.uk",
  "fast-mail.fr",
  "fastacura.com",
  "fastchevy.com",
  "fastchrysler.com",
  "fasternet.biz",
  "fastkawasaki.com",
  "fastmazda.com",
  "fastmitsubishi.com",
  "fastnissan.com",
  "fastsubaru.com",
  "fastsuzuki.com",
  "fasttoyota.com",
  "fastyamaha.com",
  "fatflap.com",
  "fbma.tk",
  "fbmail.usa.cc",
  "fddns.ml",
  "fdfdsfds.com",
  "fer-gabon.org",
  "fettometern.com",
  "fictionsite.com",
  "fightallspam.com",
  "figjs.com",
  "figshot.com",
  "fiifke.de",
  "filbert4u.com",
  "filberts4u.com",
  "film-blog.biz",
  "filzmail.com",
  "findu.pl",
  "fir.hk",
  "fivemail.de",
  "fixmail.tk",
  "fizmail.com",
  "fleckens.hu",
  "flemail.ru",
  "flowu.com",
  "flu-cc.flu.cc",
  "flucc.flu.cc",
  "fluidsoft.us",
  "flurred.com",
  "fly-ts.de",
  "flyinggeek.net",
  "flyspam.com",
  "foobarbot.net",
  "footard.com",
  "forecastertests.com",
  "foreskin.cf",
  "foreskin.ga",
  "foreskin.gq",
  "foreskin.ml",
  "foreskin.tk",
  "forgetmail.com",
  "fornow.eu",
  "forspam.net",
  "forward.cat",
  "foxja.com",
  "foxtrotter.info",
  "fr.nf",
  "fr33mail.info",
  "frapmail.com",
  "free-email.cf",
  "free-email.ga",
  "freebabysittercam.com",
  "freeblackbootytube.com",
  "freecat.net",
  "freedom4you.info",
  "freedompop.us",
  "freefattymovies.com",
  "freelance-france.eu",
  "freelance-france.euposta.store",
  "freeletter.me",
  "freemail.ms",
  "freemail.tweakly.net",
  "freemails.cf",
  "freemails.ga",
  "freemails.ml",
  "freemailzone.com",
  "freeplumpervideos.com",
  "freeschoolgirlvids.com",
  "freesistercam.com",
  "freeteenbums.com",
  "freundin.ru",
  "friendlymail.co.uk",
  "front14.org",
  "ftp.sh",
  "ftpinc.ca",
  "fuckedupload.com",
  "fuckingduh.com",
  "fuckme69.club",
  "fucknloveme.top",
  "fuckxxme.top",
  "fudgerub.com",
  "fuirio.com",
  "fulvie.com",
  "fun64.com",
  "funnycodesnippets.com",
  "funnymail.de",
  "furusato.tokyo",
  "furzauflunge.de",
  "fuwamofu.com",
  "fux0ringduh.com",
  "fxnxs.com",
  "fyii.de",
  "g14l71lb.com",
  "g1xmail.top",
  "g2xmail.top",
  "g3xmail.top",
  "g4hdrop.us",
  "gafy.net",
  "gaggle.net",
  "galaxy.tv",
  "gally.jp",
  "gamail.top",
  "gamegregious.com",
  "gamgling.com",
  "garasikita.pw",
  "garbagecollector.org",
  "garbagemail.org",
  "gardenscape.ca",
  "garizo.com",
  "garliclife.com",
  "garrymccooey.com",
  "gav0.com",
  "gawab.com",
  "gbcmail.win",
  "gbmail.top",
  "gcmail.top",
  "gdmail.top",
  "gedmail.win",
  "geekforex.com",
  "geew.ru",
  "gehensiemirnichtaufdensack.de",
  "geldwaschmaschine.de",
  "gelitik.in",
  "gen.uu.gl",
  "genderfuck.net",
  "geronra.com",
  "geschent.biz",
  "get-mail.cf",
  "get-mail.ga",
  "get-mail.ml",
  "get-mail.tk",
  "get.pp.ua",
  "get1mail.com",
  "get2mail.fr",
  "getairmail.cf",
  "getairmail.com",
  "getairmail.ga",
  "getairmail.gq",
  "getairmail.ml",
  "getairmail.tk",
  "geteit.com",
  "getfun.men",
  "getmails.eu",
  "getnada.com",
  "getnowtoday.cf",
  "getonemail.com",
  "getonemail.net",
  "ghosttexter.de",
  "giacmosuaviet.info",
  "giaiphapmuasam.com",
  "giantmail.de",
  "gifto12.com",
  "ginzi.be",
  "ginzi.co.uk",
  "ginzi.es",
  "ginzi.net",
  "ginzy.co.uk",
  "ginzy.eu",
  "girlmail.win",
  "girlsindetention.com",
  "girlsundertheinfluence.com",
  "gishpuppy.com",
  "giveh2o.info",
  "givmail.com",
  "giyam.com",
  "glitch.sx",
  "globaltouron.com",
  "glubex.com",
  "glucosegrin.com",
  "gmal.com",
  "gmatch.org",
  "gmial.com",
  "gmx.fr.nf",
  "gmx1mail.top",
  "gmxmail.top",
  "gmxmail.win",
  "gnctr-calgary.com",
  "go2usa.info",
  "go2vpn.net",
  "goemailgo.com",
  "golemico.com",
  "gomail.in",
  "gorillaswithdirtyarmpits.com",
  "goround.info",
  "gothere.biz",
  "gotimes.xyz",
  "gotmail.com",
  "gotmail.net",
  "gotmail.org",
  "gowikibooks.com",
  "gowikicampus.com",
  "gowikicars.com",
  "gowikifilms.com",
  "gowikigames.com",
  "gowikimusic.com",
  "gowikinetwork.com",
  "gowikitravel.com",
  "gowikitv.com",
  "grandmamail.com",
  "grandmasmail.com",
  "great-host.in",
  "greenhousemail.com",
  "greensloth.com",
  "greggamel.com",
  "greggamel.net",
  "gregorsky.zone",
  "gregorygamel.com",
  "gregorygamel.net",
  "grish.de",
  "griuc.schule",
  "grr.la",
  "gs-arc.org",
  "gsredcross.org",
  "gsrv.co.uk",
  "gsxstring.ga",
  "gudanglowongan.com",
  "guerillamail.biz",
  "guerillamail.com",
  "guerillamail.de",
  "guerillamail.info",
  "guerillamail.net",
  "guerillamail.org",
  "guerillamailblock.com",
  "guerrillamail.biz",
  "guerrillamail.com",
  "guerrillamail.de",
  "guerrillamail.info",
  "guerrillamail.net",
  "guerrillamail.org",
  "guerrillamailblock.com",
  "gustr.com",
  "gxemail.men",
  "gynzi.co.uk",
  "gynzi.es",
  "gynzy.at",
  "gynzy.es",
  "gynzy.eu",
  "gynzy.gr",
  "gynzy.info",
  "gynzy.lt",
  "gynzy.mobi",
  "gynzy.pl",
  "gynzy.ro",
  "gynzy.sk",
  "gzb.ro",
  "h8s.org",
  "habitue.net",
  "hacccc.com",
  "hackersquad.tk",
  "hackthatbit.ch",
  "hahawrong.com",
  "haida-edu.cn",
  "haltospam.com",
  "hangxomcuatoilatotoro.ml",
  "harakirimail.com",
  "haribu.com",
  "hartbot.de",
  "hasanmail.ml",
  "hat-geld.de",
  "hatespam.org",
  "hawrong.com",
  "haydoo.com",
  "hazelnut4u.com",
  "hazelnuts4u.com",
  "hazmatshipping.org",
  "hccmail.win",
  "headstrong.de",
  "heathenhammer.com",
  "heathenhero.com",
  "hecat.es",
  "hellodream.mobi",
  "helloricky.com",
  "helpinghandtaxcenter.org",
  "herp.in",
  "herpderp.nl",
  "hezll.com",
  "hi5.si",
  "hiddentragedy.com",
  "hidebox.org",
  "hidemail.de",
  "hidemail.pro",
  "hidemail.us",
  "hidzz.com",
  "highbros.org",
  "hmail.us",
  "hmamail.com",
  "hmh.ro",
  "hoanggiaanh.com",
  "hoanglong.tech",
  "hochsitze.com",
  "hola.org",
  "holl.ga",
  "honor-8.com",
  "hoo.com",
  "hopemail.biz",
  "hornyalwary.top",
  "hostlaba.com",
  "hot-mail.cf",
  "hot-mail.ga",
  "hot-mail.gq",
  "hot-mail.ml",
  "hot-mail.tk",
  "hotmai.com",
  "hotmial.com",
  "hotpop.com",
  "hotprice.co",
  "housat.com",
  "hpc.tw",
  "hs.vc",
  "ht.cx",
  "huangniu8.com",
  "hukkmu.tk",
  "hulapla.de",
  "humaility.com",
  "humn.ws.gy",
  "hungpackage.com",
  "hushmail.cf",
  "huskion.net",
  "hvastudiesucces.nl",
  "hwsye.net",
  "i-phone.nut.cc",
  "i6.cloudns.cc",
  "i6.cloudns.cx",
  "iaoss.com",
  "ibnuh.bz",
  "icantbelieveineedtoexplainthisshit.com",
  "ichigo.me",
  "icx.in",
  "icx.ro",
  "ieatspam.eu",
  "ieatspam.info",
  "ieh-mail.de",
  "ige.es",
  "ignoremail.com",
  "ihateyoualot.info",
  "ihazspam.ca",
  "iheartspam.org",
  "ikbenspamvrij.nl",
  "illistnoise.com",
  "ilovespam.com",
  "imails.info",
  "imgof.com",
  "imgv.de",
  "imstations.com",
  "imul.info",
  "inbax.tk",
  "inbound.plus",
  "inbox.si",
  "inbox2.info",
  "inboxalias.com",
  "inboxbear.com",
  "inboxclean.com",
  "inboxclean.org",
  "inboxdesign.me",
  "inboxed.im",
  "inboxed.pw",
  "inboxproxy.com",
  "inboxstore.me",
  "inclusiveprogress.com",
  "incognitomail.com",
  "incognitomail.net",
  "incognitomail.org",
  "incq.com",
  "ind.st",
  "indieclad.com",
  "indirect.ws",
  "indomaed.pw",
  "indomina.cf",
  "indoserver.stream",
  "indosukses.press",
  "ineec.net",
  "infocom.zp.ua",
  "inggo.org",
  "inoutmail.de",
  "inoutmail.eu",
  "inoutmail.info",
  "inoutmail.net",
  "insanumingeniumhomebrew.com",
  "insorg-mail.info",
  "instance-email.com",
  "instant-mail.de",
  "instantblingmail.info",
  "instantemailaddress.com",
  "instantmail.fr",
  "internetoftags.com",
  "interstats.org",
  "intersteller.com",
  "investore.co",
  "iozak.com",
  "ip4.pp.ua",
  "ip6.li",
  "ip6.pp.ua",
  "ipoo.org",
  "ippandansei.tk",
  "ipsur.org",
  "irabops.com",
  "irc.so",
  "irish2me.com",
  "iroid.com",
  "ironiebehindert.de",
  "irssi.tv",
  "is.af",
  "isdaq.com",
  "isosq.com",
  "istii.ro",
  "isukrainestillacountry.com",
  "it7.ovh",
  "italy-mail.com",
  "itunesgiftcodegenerator.com",
  "iuemail.men",
  "iwi.net",
  "ixx.io",
  "j-p.us",
  "j7.cloudns.cx",
  "j8k2.usa.cc",
  "jafps.com",
  "jajxz.com",
  "jamesbond.flu.cc",
  "jamesbond.igg.biz",
  "jamesbond.nut.cc",
  "jamesbond.usa.cc",
  "janproz.com",
  "jdmadventures.com",
  "jdz.ro",
  "jeie.igg.biz",
  "jellow.ml",
  "jellyrolls.com",
  "jet-renovation.fr",
  "jetable.com",
  "jetable.fr.nf",
  "jetable.net",
  "jetable.org",
  "jetable.pp.ua",
  "jmail.ovh",
  "jmail.ro",
  "jnxjn.com",
  "jobbikszimpatizans.hu",
  "jobposts.net",
  "jobs-to-be-done.net",
  "joelpet.com",
  "joetestalot.com",
  "jopho.com",
  "joseihorumon.info",
  "josse.ltd",
  "jourrapide.com",
  "jpco.org",
  "jsrsolutions.com",
  "jumonji.tk",
  "jungkamushukum.com",
  "junk.to",
  "junk1e.com",
  "junkmail.ga",
  "junkmail.gq",
  "justemail.ml",
  "juyouxi.com",
  "jwork.ru",
  "kademen.com",
  "kadokawa.cf",
  "kadokawa.ga",
  "kadokawa.gq",
  "kadokawa.ml",
  "kadokawa.tk",
  "kakadua.net",
  "kalapi.org",
  "kamsg.com",
  "kaovo.com",
  "kappala.info",
  "karatraman.ml",
  "kariplan.com",
  "kartvelo.com",
  "kasmail.com",
  "kaspop.com",
  "katztube.com",
  "kazelink.ml",
  "kcrw.de",
  "keepmymail.com",
  "keinhirn.de",
  "keipino.de",
  "kekita.com",
  "kemptvillebaseball.com",
  "kennedy808.com",
  "kiani.com",
  "killmail.com",
  "killmail.net",
  "kimsdisk.com",
  "kingsq.ga",
  "kiois.com",
  "kir.ch.tc",
  "kiryubox.cu.cc",
  "kismail.ru",
  "kisstwink.com",
  "kitnastar.com",
  "klassmaster.com",
  "klassmaster.net",
  "klick-tipp.us",
  "klipschx12.com",
  "kloap.com",
  "kludgemush.com",
  "klzlk.com",
  "kmhow.com",
  "knol-power.nl",
  "kodorsex.cf",
  "kommunity.biz",
  "kon42.com",
  "kook.ml",
  "kopagas.com",
  "kopaka.net",
  "kosmetik-obatkuat.com",
  "kostenlosemailadresse.de",
  "koszmail.pl",
  "krd.ag",
  "krsw.tk",
  "krypton.tk",
  "ks87.igg.biz",
  "ks87.usa.cc",
  "ksmtrck.tk",
  "kuhrap.com",
  "kulturbetrieb.info",
  "kurzepost.de",
  "kwift.net",
  "kwilco.net",
  "kyal.pl",
  "kyois.com",
  "l-c-a.us",
  "l33r.eu",
  "labetteraverouge.at",
  "lacedmail.com",
  "lackmail.net",
  "lackmail.ru",
  "lacto.info",
  "lags.us",
  "lain.ch",
  "lak.pp.ua",
  "lakelivingstonrealestate.com",
  "landmail.co",
  "laoeq.com",
  "last-chance.pro",
  "lastmail.co",
  "lastmail.com",
  "lawlita.com",
  "lazyinbox.com",
  "lazyinbox.us",
  "ldaho.net",
  "ldop.com",
  "ldtp.com",
  "lee.mx",
  "leeching.net",
  "lellno.gq",
  "lenovog4.com",
  "letmeinonthis.com",
  "letthemeatspam.com",
  "level3.flu.cc",
  "level3.igg.biz",
  "level3.nut.cc",
  "level3.usa.cc",
  "lez.se",
  "lgxscreen.com",
  "lhsdv.com",
  "liamcyrus.com",
  "lifebyfood.com",
  "lifetimefriends.info",
  "lifetotech.com",
  "ligsb.com",
  "lillemap.net",
  "lilo.me",
  "lindenbaumjapan.com",
  "link2mail.net",
  "linkedintuts2016.pw",
  "linuxmail.so",
  "litedrop.com",
  "lkgn.se",
  "llogin.ru",
  "loadby.us",
  "loan101.pro",
  "loaoa.com",
  "loapq.com",
  "locanto1.club",
  "locantofuck.top",
  "locantowsite.club",
  "locomodev.net",
  "login-email.cf",
  "login-email.ga",
  "login-email.ml",
  "login-email.tk",
  "logular.com",
  "loh.pp.ua",
  "loin.in",
  "lol.ovpn.to",
  "lolfreak.net",
  "lolmail.biz",
  "lookugly.com",
  "lopl.co.cc",
  "lordsofts.com",
  "lortemail.dk",
  "losemymail.com",
  "lovemeet.faith",
  "lovemeleaveme.com",
  "lpfmgmtltd.com",
  "lr7.us",
  "lr78.com",
  "lroid.com",
  "lru.me",
  "luckymail.org",
  "lukecarriere.com",
  "lukemail.info",
  "lukop.dk",
  "luv2.us",
  "lyfestylecreditsolutions.com",
  "lzoaq.com",
  "m21.cc",
  "m4ilweb.info",
  "m5s.flu.cc",
  "m5s.igg.biz",
  "m5s.nut.cc",
  "maboard.com",
  "macr2.com",
  "macromaid.com",
  "macromice.info",
  "magamail.com",
  "maggotymeat.ga",
  "magicbox.ro",
  "maidlow.info",
  "mail-easy.fr",
  "mail-filter.com",
  "mail-owl.com",
  "mail-temporaire.com",
  "mail-temporaire.fr",
  "mail.by",
  "mail.wtf",
  "mail0.ga",
  "mail114.net",
  "mail1a.de",
  "mail21.cc",
  "mail22.club",
  "mail2rss.org",
  "mail333.com",
  "mail4-us.org",
  "mail4trash.com",
  "mail666.ru",
  "mail707.com",
  "mail72.com",
  "mailback.com",
  "mailbidon.com",
  "mailbiz.biz",
  "mailblocks.com",
  "mailbox52.ga",
  "mailbox80.biz",
  "mailbox82.biz",
  "mailbox92.biz",
  "mailbucket.org",
  "mailcat.biz",
  "mailcatch.com",
  "mailchop.com",
  "mailcker.com",
  "mailde.de",
  "mailde.info",
  "maildrop.cc",
  "maildrop.cf",
  "maildrop.ga",
  "maildrop.gq",
  "maildrop.ml",
  "maildu.de",
  "maildx.com",
  "maileater.com",
  "mailed.in",
  "mailed.ro",
  "maileimer.de",
  "maileme101.com",
  "mailexpire.com",
  "mailf5.com",
  "mailfa.tk",
  "mailfall.com",
  "mailforspam.com",
  "mailfree.ga",
  "mailfree.gq",
  "mailfree.ml",
  "mailfreeonline.com",
  "mailfs.com",
  "mailguard.me",
  "mailgutter.com",
  "mailhazard.com",
  "mailhazard.us",
  "mailhz.me",
  "mailimate.com",
  "mailin8r.com",
  "mailinatar.com",
  "mailinater.com",
  "mailinator.co.uk",
  "mailinator.com",
  "mailinator.gq",
  "mailinator.info",
  "mailinator.net",
  "mailinator.org",
  "mailinator.us",
  "mailinator.usa.cc",
  "mailinator0.com",
  "mailinator1.com",
  "mailinator2.com",
  "mailinator2.net",
  "mailinator3.com",
  "mailinator4.com",
  "mailinator5.com",
  "mailinator6.com",
  "mailinator7.com",
  "mailinator8.com",
  "mailinator9.com",
  "mailincubator.com",
  "mailismagic.com",
  "mailita.tk",
  "mailjunk.cf",
  "mailjunk.ga",
  "mailjunk.gq",
  "mailjunk.ml",
  "mailjunk.tk",
  "mailmate.com",
  "mailme.gq",
  "mailme.ir",
  "mailme.lv",
  "mailme24.com",
  "mailmetrash.com",
  "mailmoat.com",
  "mailmoth.com",
  "mailms.com",
  "mailna.biz",
  "mailna.co",
  "mailna.in",
  "mailna.me",
  "mailnator.com",
  "mailnesia.com",
  "mailnull.com",
  "mailonaut.com",
  "mailorc.com",
  "mailorg.org",
  "mailpick.biz",
  "mailpooch.com",
  "mailproxsy.com",
  "mailquack.com",
  "mailrock.biz",
  "mailsac.com",
  "mailscrap.com",
  "mailseal.de",
  "mailshell.com",
  "mailsiphon.com",
  "mailslapping.com",
  "mailslite.com",
  "mailsucker.net",
  "mailtechx.com",
  "mailtemp.info",
  "mailtemporaire.com",
  "mailtemporaire.fr",
  "mailtome.de",
  "mailtothis.com",
  "mailtraps.com",
  "mailtrash.net",
  "mailtrix.net",
  "mailtv.net",
  "mailtv.tv",
  "mailzi.ru",
  "mailzilla.com",
  "mailzilla.org",
  "mailzilla.orgmbx.cc",
  "mainerfolg.info",
  "makemenaughty.club",
  "makemetheking.com",
  "malahov.de",
  "malayalamdtp.com",
  "malove.site",
  "mandraghen.cf",
  "manifestgenerator.com",
  "mankyrecords.com",
  "mansiondev.com",
  "manybrain.com",
  "markmurfin.com",
  "masonline.info",
  "maswae.world",
  "matamuasu.ga",
  "matchpol.net",
  "mbox.0x01.tk",
  "mbx.cc",
  "mcache.net",
  "mciek.com",
  "mdhc.tk",
  "mebelnu.info",
  "mechanicalresumes.com",
  "meepsheep.eu",
  "mega.zik.dj",
  "meinspamschutz.de",
  "meltmail.com",
  "merry.pink",
  "messagebeamer.de",
  "messwiththebestdielikethe.rest",
  "mezimages.net",
  "mfsa.info",
  "mfsa.ru",
  "miaferrari.com",
  "miauj.com",
  "midcoastcustoms.com",
  "midcoastcustoms.net",
  "midcoastsolutions.com",
  "midcoastsolutions.net",
  "midlertidig.com",
  "midlertidig.net",
  "midlertidig.org",
  "mierdamail.com",
  "migmail.net",
  "migmail.pl",
  "migumail.com",
  "mihep.com",
  "mijnhva.nl",
  "ministry-of-silly-walks.de",
  "minsmail.com",
  "mintemail.com",
  "misterpinball.de",
  "mji.ro",
  "mjukglass.nu",
  "mkpfilm.com",
  "ml8.ca",
  "mm.my",
  "mm5.se",
  "mnode.me",
  "moakt.co",
  "moakt.com",
  "moakt.ws",
  "mobileninja.co.uk",
  "mobilevpn.top",
  "moburl.com",
  "mockmyid.com",
  "moeri.org",
  "mohmal.com",
  "mohmal.im",
  "mohmal.in",
  "mohmal.tech",
  "momentics.ru",
  "monachat.tk",
  "monadi.ml",
  "moncourrier.fr.nf",
  "monemail.fr.nf",
  "moneypipe.net",
  "monmail.fr.nf",
  "monumentmail.com",
  "moonwake.com",
  "moot.es",
  "moreawesomethanyou.com",
  "moreorcs.com",
  "morriesworld.ml",
  "morsin.com",
  "motique.de",
  "mountainregionallibrary.net",
  "mox.pp.ua",
  "moza.pl",
  "mozej.com",
  "mp-j.ga",
  "mp-j.igg.biz",
  "mp.igg.biz",
  "mr24.co",
  "msgos.com",
  "mspeciosa.com",
  "msrc.ml",
  "mswork.ru",
  "msxd.com",
  "mt2009.com",
  "mt2014.com",
  "mt2015.com",
  "mtmdev.com",
  "muathegame.com",
  "muchomail.com",
  "mucincanon.com",
  "munoubengoshi.gq",
  "mutant.me",
  "mvrht.com",
  "mvrht.net",
  "mwarner.org",
  "mxfuel.com",
  "my.safe-mail.gq",
  "my10minutemail.com",
  "mybitti.de",
  "mycleaninbox.net",
  "mycorneroftheinter.net",
  "myde.ml",
  "mydemo.equipment",
  "myecho.es",
  "myemailboxy.com",
  "myindohome.services",
  "myinterserver.ml",
  "mykickassideas.com",
  "mymail-in.net",
  "mymailoasis.com",
  "mynetstore.de",
  "myopang.com",
  "mypacks.net",
  "mypartyclip.de",
  "myphantomemail.com",
  "mysamp.de",
  "myspaceinc.com",
  "myspaceinc.net",
  "myspaceinc.org",
  "myspacepimpedup.com",
  "myspamless.com",
  "mystvpn.com",
  "mytemp.email",
  "mytempemail.com",
  "mytempmail.com",
  "mytrashmail.com",
  "mywarnernet.net",
  "myzx.com",
  "mziqo.com",
  "n1nja.org",
  "nabuma.com",
  "nada.email",
  "nada.ltd",
  "nakedtruth.biz",
  "nanonym.ch",
  "nationalgardeningclub.com",
  "nawmin.info",
  "nbox.notif.me",
  "negated.com",
  "neko2.net",
  "neomailbox.com",
  "nepwk.com",
  "nervmich.net",
  "nervtmich.net",
  "netmails.com",
  "netmails.net",
  "netricity.nl",
  "netris.net",
  "netviewer-france.com",
  "netzidiot.de",
  "nevermail.de",
  "newbpotato.tk",
  "newideasfornewpeople.info",
  "next.ovh",
  "nextstopvalhalla.com",
  "nezdiro.org",
  "nezzart.com",
  "nfast.net",
  "nguyenusedcars.com",
  "nh3.ro",
  "nice-4u.com",
  "nicknassar.com",
  "nincsmail.com",
  "nincsmail.hu",
  "niwl.net",
  "nm7.cc",
  "nmail.cf",
  "nnh.com",
  "nnot.net",
  "nnoway.ru",
  "no-spam.ws",
  "no-ux.com",
  "noblepioneer.com",
  "nobugmail.com",
  "nobulk.com",
  "nobuma.com",
  "noclickemail.com",
  "nodezine.com",
  "nogmailspam.info",
  "noicd.com",
  "nokiamail.com",
  "nolemail.ga",
  "nomail.cf",
  "nomail.ga",
  "nomail.pw",
  "nomail.xl.cx",
  "nomail2me.com",
  "nomorespamemails.com",
  "nonspam.eu",
  "nonspammer.de",
  "nonze.ro",
  "noref.in",
  "norseforce.com",
  "nospam.ze.tc",
  "nospam4.us",
  "nospamfor.us",
  "nospamthanks.info",
  "nothingtoseehere.ca",
  "notmailinator.com",
  "notrnailinator.com",
  "notsharingmy.info",
  "now.im",
  "nowhere.org",
  "nowmymail.com",
  "ntlhelp.net",
  "nubescontrol.com",
  "nullbox.info",
  "nurfuerspam.de",
  "nut-cc.nut.cc",
  "nutcc.nut.cc",
  "nutpa.net",
  "nuts2trade.com",
  "nwldx.com",
  "nwytg.com",
  "ny7.me",
  "nypato.com",
  "o2stk.org",
  "o7i.net",
  "oalsp.com",
  "obfusko.com",
  "objectmail.com",
  "obobbo.com",
  "obxpestcontrol.com",
  "odaymail.com",
  "odem.com",
  "odnorazovoe.ru",
  "oepia.com",
  "oerpub.org",
  "offshore-proxies.net",
  "ohaaa.de",
  "ohi.tw",
  "oing.cf",
  "okclprojects.com",
  "okrent.us",
  "okzk.com",
  "olypmall.ru",
  "omail.pro",
  "omnievents.org",
  "one-time.email",
  "one2mail.info",
  "oneoffemail.com",
  "oneoffmail.com",
  "onewaymail.com",
  "onlatedotcom.info",
  "online.ms",
  "onlineidea.info",
  "onlysext.com",
  "onqin.com",
  "ontyne.biz",
  "oolus.com",
  "oopi.org",
  "opayq.com",
  "opendns.ro",
  "opmmedia.ga",
  "opp24.com",
  "ordinaryamerican.net",
  "oreidresume.com",
  "oroki.de",
  "oshietechan.link",
  "otherinbox.com",
  "ourawesome.life",
  "ourklips.com",
  "ourpreviewdomain.com",
  "outlawspam.com",
  "outmail.win",
  "ovi.usa.cc",
  "ovpn.to",
  "owlpic.com",
  "ownsyou.de",
  "oxopoha.com",
  "ozyl.de",
  "p33.org",
  "p71ce1m.com",
  "pa9e.com",
  "pagamenti.tk",
  "pakadebu.ga",
  "pancakemail.com",
  "paplease.com",
  "pastebitch.com",
  "pavilionx2.com",
  "payperex2.com",
  "penisgoes.in",
  "penoto.tk",
  "pepbot.com",
  "peterdethier.com",
  "petrzilka.net",
  "pfui.ru",
  "photo-impact.eu",
  "photomark.net",
  "pi.vu",
  "piaa.me",
  "pig.pp.ua",
  "pii.at",
  "piki.si",
  "pimpedupmyspace.com",
  "pinehill-seattle.org",
  "pingir.com",
  "pisls.com",
  "pjjkp.com",
  "plexolan.de",
  "plhk.ru",
  "ploae.com",
  "plw.me",
  "pojok.ml",
  "pokemail.net",
  "pokiemobile.com",
  "polarkingxx.ml",
  "politikerclub.de",
  "pooae.com",
  "poofy.org",
  "pookmail.com",
  "poopiebutt.club",
  "popesodomy.com",
  "popgx.com",
  "porsh.net",
  "posdz.com",
  "posta.store",
  "postacin.com",
  "postonline.me",
  "poutineyourface.com",
  "powered.name",
  "powlearn.com",
  "ppetw.com",
  "predatorrat.cf",
  "predatorrat.ga",
  "predatorrat.gq",
  "predatorrat.ml",
  "predatorrat.tk",
  "premium-mail.fr",
  "primabananen.net",
  "privacy.net",
  "privatdemail.net",
  "privy-mail.com",
  "privy-mail.de",
  "privymail.de",
  "pro-tag.org",
  "procrackers.com",
  "projectcl.com",
  "proprietativalcea.ro",
  "propscore.com",
  "protempmail.com",
  "proxymail.eu",
  "proxyparking.com",
  "prtnx.com",
  "prtz.eu",
  "psh.me",
  "psles.com",
  "psoxs.com",
  "puglieisi.com",
  "puji.pro",
  "punkass.com",
  "purcell.email",
  "purelogistics.org",
  "put2.net",
  "putthisinyourspamdatabase.com",
  "pw.j7.cloudns.cx",
  "pw.mymy.cf",
  "pw.mysafe.ml",
  "pwrby.com",
  "qasti.com",
  "qbfree.us",
  "qc.to",
  "qibl.at",
  "qipmail.net",
  "qiq.us",
  "qisdo.com",
  "qisoa.com",
  "qoika.com",
  "qq.my",
  "qsl.ro",
  "qtum-ico.com",
  "quadrafit.com",
  "queuem.com",
  "quickinbox.com",
  "quickmail.nl",
  "ququb.com",
  "qvy.me",
  "qwickmail.com",
  "r4nd0m.de",
  "ra3.us",
  "rabin.ca",
  "rabiot.reisen",
  "raetp9.com",
  "raketenmann.de",
  "rancidhome.net",
  "randomail.net",
  "raqid.com",
  "rax.la",
  "raxtest.com",
  "razemail.com",
  "rbb.org",
  "rcasd.com",
  "rcpt.at",
  "rdklcrv.xyz",
  "re-gister.com",
  "reality-concept.club",
  "reallymymail.com",
  "realtyalerts.ca",
  "rebates.stream",
  "receiveee.com",
  "recipeforfailure.com",
  "recode.me",
  "reconmail.com",
  "recyclemail.dk",
  "reddit.usa.cc",
  "redfeathercrow.com",
  "reftoken.net",
  "regbypass.com",
  "rejectmail.com",
  "rejo.technology",
  "reliable-mail.com",
  "remail.cf",
  "remail.ga",
  "remarkable.rocks",
  "remote.li",
  "reptilegenetics.com",
  "revolvingdoorhoax.org",
  "rhyta.com",
  "richfinances.pw",
  "riddermark.de",
  "risingsuntouch.com",
  "riski.cf",
  "rklips.com",
  "rkomo.com",
  "rma.ec",
  "rmqkr.net",
  "rnailinator.com",
  "ro.lt",
  "robertspcrepair.com",
  "rollindo.agency",
  "ronnierage.net",
  "rootfest.net",
  "rotaniliam.com",
  "rowe-solutions.com",
  "royal.net",
  "royaldoodles.org",
  "rppkn.com",
  "rr.0x01.gq",
  "rtrtr.com",
  "rtskiya.xyz",
  "rudymail.ml",
  "ruffrey.com",
  "rumgel.com",
  "runi.ca",
  "ruru.be",
  "rustydoor.com",
  "rvb.ro",
  "s-s.flu.cc",
  "s-s.igg.biz",
  "s-s.nut.cc",
  "s-s.usa.cc",
  "s.0x01.gq",
  "s0ny.flu.cc",
  "s0ny.igg.biz",
  "s0ny.net",
  "s0ny.nut.cc",
  "s0ny.usa.cc",
  "s33db0x.com",
  "sabrestlouis.com",
  "sackboii.com",
  "safaat.cf",
  "safermail.info",
  "safersignup.de",
  "safetymail.info",
  "safetypost.de",
  "saharanightstempe.com",
  "salmeow.tk",
  "samsclass.info",
  "sandelf.de",
  "sandwhichvideo.com",
  "sanfinder.com",
  "sanim.net",
  "sanstr.com",
  "sast.ro",
  "satisfyme.club",
  "satukosong.com",
  "sausen.com",
  "sawoe.com",
  "saynotospams.com",
  "scatmail.com",
  "scay.net",
  "schachrol.com",
  "schafmail.de",
  "schmeissweg.tk",
  "schmid.cf",
  "schrott-email.de",
  "sd3.in",
  "secmail.pw",
  "secretemail.de",
  "secure-box.info",
  "secure-mail.biz",
  "secure-mail.cc",
  "secured-link.net",
  "securehost.com.es",
  "securemail.flu.cc",
  "securemail.igg.biz",
  "securemail.nut.cc",
  "securemail.usa.cc",
  "seekapps.com",
  "seekjobs4u.com",
  "sejaa.lv",
  "selfdestructingmail.com",
  "selfdestructingmail.org",
  "send22u.info",
  "sendfree.org",
  "sendingspecialflyers.com",
  "sendspamhere.com",
  "senseless-entertainment.com",
  "server.ms",
  "services391.com",
  "sexforswingers.com",
  "sexical.com",
  "sexyalwasmi.top",
  "shalar.net",
  "sharedmailbox.org",
  "sharklasers.com",
  "shhmail.com",
  "shhuut.org",
  "shieldedmail.com",
  "shieldemail.com",
  "shiftmail.com",
  "shipfromto.com",
  "shiphazmat.org",
  "shipping-regulations.com",
  "shippingterms.org",
  "shitmail.de",
  "shitmail.me",
  "shitmail.org",
  "shitware.nl",
  "shmeriously.com",
  "shortmail.net",
  "shotmail.ru",
  "showslow.de",
  "shrib.com",
  "shut.name",
  "shut.ws",
  "sify.com",
  "sikux.com",
  "siliwangi.ga",
  "simpleitsecurity.info",
  "sin.cl",
  "sinfiltro.cl",
  "singlespride.com",
  "sinnlos-mail.de",
  "sino.tw",
  "siteposter.net",
  "sizzlemctwizzle.com",
  "sjuaq.com",
  "skeefmail.com",
  "sky-inbox.com",
  "sky-ts.de",
  "skypaluten.de",
  "slapsfromlastnight.com",
  "slaskpost.se",
  "slave-auctions.net",
  "slippery.email",
  "slipry.net",
  "slopsbox.com",
  "slothmail.net",
  "slushmail.com",
  "sluteen.com",
  "sly.io",
  "smallker.tk",
  "smapfree24.com",
  "smapfree24.de",
  "smapfree24.eu",
  "smapfree24.info",
  "smapfree24.org",
  "smarttalent.pw",
  "smashmail.de",
  "smellfear.com",
  "smellrear.com",
  "smellypotato.tk",
  "smtp99.com",
  "smwg.info",
  "snakemail.com",
  "snapwet.com",
  "sneakmail.de",
  "socialfurry.org",
  "socrazy.club",
  "socrazy.online",
  "sofimail.com",
  "sofort-mail.de",
  "sofortmail.de",
  "softpls.asia",
  "sogetthis.com",
  "sohai.ml",
  "sohu.com",
  "sohus.cn",
  "soioa.com",
  "soisz.com",
  "solar-impact.pro",
  "solvemail.info",
  "solventtrap.wiki",
  "sonshi.cf",
  "soodmail.com",
  "soodomail.com",
  "soodonims.com",
  "soon.it",
  "spam-be-gone.com",
  "spam.0x01.tk",
  "spam.la",
  "spam.org.es",
  "spam.su",
  "spam4.me",
  "spamail.de",
  "spamarrest.com",
  "spamavert.com",
  "spambob.com",
  "spambob.net",
  "spambob.org",
  "spambog.com",
  "spambog.de",
  "spambog.net",
  "spambog.ru",
  "spambooger.com",
  "spambox.info",
  "spambox.irishspringrealty.com",
  "spambox.org",
  "spambox.us",
  "spamcero.com",
  "spamcon.org",
  "spamcorptastic.com",
  "spamcowboy.com",
  "spamcowboy.net",
  "spamcowboy.org",
  "spamday.com",
  "spamdecoy.net",
  "spamex.com",
  "spamfighter.cf",
  "spamfighter.ga",
  "spamfighter.gq",
  "spamfighter.ml",
  "spamfighter.tk",
  "spamfree.eu",
  "spamfree24.com",
  "spamfree24.de",
  "spamfree24.eu",
  "spamfree24.info",
  "spamfree24.net",
  "spamfree24.org",
  "spamgoes.in",
  "spamherelots.com",
  "spamhereplease.com",
  "spamhole.com",
  "spamify.com",
  "spaminator.de",
  "spamkill.info",
  "spaml.com",
  "spaml.de",
  "spamlot.net",
  "spammotel.com",
  "spamobox.com",
  "spamoff.de",
  "spamsalad.in",
  "spamslicer.com",
  "spamsphere.com",
  "spamspot.com",
  "spamstack.net",
  "spamthis.co.uk",
  "spamthisplease.com",
  "spamtrail.com",
  "spamtrap.ro",
  "spamtroll.net",
  "spamwc.cf",
  "spamwc.ga",
  "spamwc.gq",
  "spamwc.ml",
  "speed.1s.fr",
  "speedgaus.net",
  "spikio.com",
  "spoofmail.de",
  "spr.io",
  "spritzzone.de",
  "spybox.de",
  "squizzy.de",
  "squizzy.net",
  "sroff.com",
  "sry.li",
  "ss.0x01.tk",
  "ssoia.com",
  "stanfordujjain.com",
  "starlight-breaker.net",
  "startfu.com",
  "startkeys.com",
  "statdvr.com",
  "stathost.net",
  "statiix.com",
  "steambot.net",
  "stelliteop.info",
  "stexsy.com",
  "stinkefinger.net",
  "stop-my-spam.cf",
  "stop-my-spam.com",
  "stop-my-spam.ga",
  "stop-my-spam.ml",
  "stop-my-spam.pp.ua",
  "stop-my-spam.tk",
  "storiqax.com",
  "storiqax.top",
  "storj99.com",
  "storj99.top",
  "streetwisemail.com",
  "stromox.com",
  "stuckmail.com",
  "stuffmail.de",
  "stumpfwerk.com",
  "suburbanthug.com",
  "suckmyd.com",
  "sudolife.me",
  "sudolife.net",
  "sudomail.biz",
  "sudomail.com",
  "sudomail.net",
  "sudoverse.com",
  "sudoverse.net",
  "sudoweb.net",
  "sudoworld.com",
  "sudoworld.net",
  "suioe.com",
  "super-auswahl.de",
  "supergreatmail.com",
  "supermailer.jp",
  "superplatyna.com",
  "superrito.com",
  "superstachel.de",
  "suremail.info",
  "svip520.cn",
  "svk.jp",
  "svxr.org",
  "sweetpotato.ml",
  "sweetxxx.de",
  "swift10minutemail.com",
  "sylvannet.com",
  "symphonyresume.com",
  "syosetu.gq",
  "syujob.accountants",
  "szerz.com",
  "tafmail.com",
  "tafoi.gr",
  "taglead.com",
  "tagmymedia.com",
  "tagyourself.com",
  "talkinator.com",
  "tanukis.org",
  "tapchicuoihoi.com",
  "taphear.com",
  "tb-on-line.net",
  "tech69.com",
  "techemail.com",
  "techgroup.me",
  "teerest.com",
  "teewars.org",
  "tefl.ro",
  "telecomix.pl",
  "teleworm.com",
  "teleworm.us",
  "tellos.xyz",
  "temp-mail.com",
  "temp-mail.de",
  "temp-mail.org",
  "temp-mail.pp.ua",
  "temp-mail.ru",
  "temp-mails.com",
  "tempail.com",
  "tempalias.com",
  "tempe-mail.com",
  "tempemail.biz",
  "tempemail.co.za",
  "tempemail.com",
  "tempemail.net",
  "tempinbox.co.uk",
  "tempinbox.com",
  "tempmail.co",
  "tempmail.de",
  "tempmail.eu",
  "tempmail.it",
  "tempmail.pp.ua",
  "tempmail.us",
  "tempmail2.com",
  "tempmaildemo.com",
  "tempmailer.com",
  "tempmailer.de",
  "tempomail.fr",
  "temporarily.de",
  "temporarioemail.com.br",
  "temporaryemail.net",
  "temporaryemail.us",
  "temporaryforwarding.com",
  "temporaryinbox.com",
  "temporarymailaddress.com",
  "tempr.email",
  "tempsky.com",
  "tempthe.net",
  "tempymail.com",
  "ternaklele.ga",
  "testore.co",
  "testudine.com",
  "thanksnospam.info",
  "thankyou2010.com",
  "thatim.info",
  "thc.st",
  "theaviors.com",
  "thebearshark.com",
  "thecloudindex.com",
  "thediamants.org",
  "thedirhq.info",
  "thelightningmail.net",
  "thelimestones.com",
  "thembones.com.au",
  "themostemail.com",
  "thereddoors.online",
  "thescrappermovie.com",
  "theteastory.info",
  "thex.ro",
  "thietbivanphong.asia",
  "thisisnotmyrealemail.com",
  "thismail.net",
  "thisurl.website",
  "thnikka.com",
  "thraml.com",
  "thrma.com",
  "throam.com",
  "thrott.com",
  "throwam.com",
  "throwawayemailaddress.com",
  "throwawaymail.com",
  "throwawaymail.pp.ua",
  "throya.com",
  "thunkinator.org",
  "thxmate.com",
  "ti.igg.biz",
  "tiapz.com",
  "tic.ec",
  "tilien.com",
  "timgiarevn.com",
  "timkassouf.com",
  "tinoza.org",
  "tinyurl24.com",
  "tipsb.com",
  "tittbit.in",
  "tiv.cc",
  "tizi.com",
  "tkitc.de",
  "tlpn.org",
  "tm2mail.com",
  "tmail.com",
  "tmail.ws",
  "tmailinator.com",
  "tmails.net",
  "tmpeml.info",
  "tmpjr.me",
  "tmpmail.net",
  "tmpmail.org",
  "toddsbighug.com",
  "toiea.com",
  "tokem.co",
  "tokenmail.de",
  "tonymanso.com",
  "toomail.biz",
  "toon.ml",
  "top101.de",
  "top1mail.ru",
  "top1post.ru",
  "topinrock.cf",
  "topofertasdehoy.com",
  "topranklist.de",
  "toprumours.com",
  "tormail.org",
  "toss.pw",
  "tosunkaya.com",
  "totalvista.com",
  "totesmail.com",
  "totoan.info",
  "tp-qa-mail.com",
  "tqoai.com",
  "tqosi.com",
  "tradermail.info",
  "tranceversal.com",
  "trash-amil.com",
  "trash-mail.at",
  "trash-mail.cf",
  "trash-mail.com",
  "trash-mail.de",
  "trash-mail.ga",
  "trash-mail.gq",
  "trash-mail.ml",
  "trash-mail.tk",
  "trash-me.com",
  "trash2009.com",
  "trash2010.com",
  "trash2011.com",
  "trashcanmail.com",
  "trashdevil.com",
  "trashdevil.de",
  "trashemail.de",
  "trashemails.de",
  "trashinbox.com",
  "trashmail.at",
  "trashmail.com",
  "trashmail.de",
  "trashmail.gq",
  "trashmail.io",
  "trashmail.me",
  "trashmail.net",
  "trashmail.org",
  "trashmail.ws",
  "trashmailer.com",
  "trashmails.com",
  "trashymail.com",
  "trashymail.net",
  "trasz.com",
  "trayna.com",
  "trbvm.com",
  "trbvn.com",
  "trbvo.com",
  "trgovinanaveliko.info",
  "trialmail.de",
  "trickmail.net",
  "trillianpro.com",
  "trollproject.com",
  "tropicalbass.info",
  "trungtamtoeic.com",
  "tryalert.com",
  "ttszuo.xyz",
  "tualias.com",
  "turoid.com",
  "turual.com",
  "tvchd.com",
  "tverya.com",
  "twinmail.de",
  "twkly.ml",
  "twocowmail.net",
  "twoweirdtricks.com",
  "txpwg.usa.cc",
  "txt.flu.cc",
  "txtadvertise.com",
  "tyhe.ro",
  "tyldd.com",
  "uacro.com",
  "ubismail.net",
  "ubm.md",
  "ucche.us",
  "ucupdong.ml",
  "uemail99.com",
  "ufacturing.com",
  "uggsrock.com",
  "ugimail.net",
  "uguuchantele.com",
  "uhhu.ru",
  "uiu.us",
  "ujijima1129.gq",
  "uk.to",
  "umail.net",
  "undo.it",
  "unids.com",
  "unimark.org",
  "unit7lahaina.com",
  "unmail.ru",
  "upliftnow.com",
  "uplipht.com",
  "uploadnolimit.com",
  "upozowac.info",
  "urfunktion.se",
  "uroid.com",
  "us.af",
  "us.to",
  "usa-cc.usa.cc",
  "usako.net",
  "used-product.fr",
  "ushijima1129.cf",
  "ushijima1129.ga",
  "ushijima1129.gq",
  "ushijima1129.ml",
  "ushijima1129.tk",
  "utiket.us",
  "uu.gl",
  "uu2.ovh",
  "uwork4.us",
  "uyhip.com",
  "vaati.org",
  "valemail.net",
  "valhalladev.com",
  "vankin.de",
  "vctel.com",
  "vda.ro",
  "vdig.com",
  "vemomail.win",
  "venompen.com",
  "veo.kr",
  "ver0.cf",
  "ver0.ga",
  "ver0.gq",
  "ver0.ml",
  "ver0.tk",
  "vercelli.cf",
  "vercelli.ga",
  "vercelli.gq",
  "vercelli.ml",
  "verdejo.com",
  "veryday.ch",
  "veryday.eu",
  "veryday.info",
  "veryrealemail.com",
  "vesa.pw",
  "vfemail.net",
  "via.tokyo.jp",
  "victime.ninja",
  "victoriantwins.com",
  "vidchart.com",
  "viditag.com",
  "viewcastmedia.com",
  "viewcastmedia.net",
  "viewcastmedia.org",
  "vikingsonly.com",
  "vinernet.com",
  "vipepe.com",
  "vipmail.name",
  "vipmail.pw",
  "vipxm.net",
  "viralplays.com",
  "visal007.tk",
  "visal168.cf",
  "visal168.ga",
  "visal168.gq",
  "visal168.ml",
  "visal168.tk",
  "vixletdev.com",
  "vkcode.ru",
  "vmailing.info",
  "vmani.com",
  "vmpanda.com",
  "vnedu.me",
  "voidbay.com",
  "vomoto.com",
  "vorga.org",
  "votiputox.org",
  "voxelcore.com",
  "vpn.st",
  "vps30.com",
  "vps911.net",
  "vrmtr.com",
  "vsimcard.com",
  "vssms.com",
  "vtxmail.us",
  "vubby.com",
  "vuiy.pw",
  "vztc.com",
  "w3internet.co.uk",
  "wakingupesther.com",
  "walala.org",
  "walkmail.net",
  "walkmail.ru",
  "wallm.com",
  "wasteland.rfc822.org",
  "watch-harry-potter.com",
  "watchever.biz",
  "watchfull.net",
  "watchironman3onlinefreefullmovie.com",
  "wazabi.club",
  "wbml.net",
  "web-ideal.fr",
  "web-mail.pp.ua",
  "web2mailco.com",
  "webcontact-france.eu",
  "webemail.me",
  "webm4il.info",
  "webmail.igg.biz",
  "webtrip.ch",
  "webuser.in",
  "wee.my",
  "wef.gr",
  "wefjo.grn.cc",
  "weg-werf-email.de",
  "wegwerf-email-addressen.de",
  "wegwerf-email-adressen.de",
  "wegwerf-email.at",
  "wegwerf-email.de",
  "wegwerf-email.net",
  "wegwerf-emails.de",
  "wegwerfadresse.de",
  "wegwerfemail.com",
  "wegwerfemail.de",
  "wegwerfemail.info",
  "wegwerfemail.net",
  "wegwerfemail.org",
  "wegwerfemailadresse.com",
  "wegwerfmail.de",
  "wegwerfmail.info",
  "wegwerfmail.net",
  "wegwerfmail.org",
  "wegwerpmailadres.nl",
  "wegwrfmail.de",
  "wegwrfmail.net",
  "wegwrfmail.org",
  "welikecookies.com",
  "wetrainbayarea.com",
  "wetrainbayarea.org",
  "wg0.com",
  "wh4f.org",
  "whatiaas.com",
  "whatifanalytics.com",
  "whatpaas.com",
  "whatsaas.com",
  "whiffles.org",
  "whopy.com",
  "whyspam.me",
  "wibblesmith.com",
  "wickmail.net",
  "widaryanto.info",
  "widget.gg",
  "wierie.tk",
  "wikidocuslava.ru",
  "wilemail.com",
  "willhackforfood.biz",
  "willselfdestruct.com",
  "wimsg.com",
  "winemaven.info",
  "wins.com.br",
  "wlist.ro",
  "wmail.cf",
  "wmail.club",
  "wolfsmail.tk",
  "wollan.info",
  "worldspace.link",
  "wpg.im",
  "wralawfirm.com",
  "writeme.us",
  "wronghead.com",
  "wudet.men",
  "wuespdj.xyz",
  "wupics.com",
  "wuzup.net",
  "wuzupmail.net",
  "wwwnew.eu",
  "wxnw.net",
  "x.0x01.tk",
  "x24.com",
  "xagloo.co",
  "xagloo.com",
  "xbaby69.top",
  "xcode.ro",
  "xcompress.com",
  "xcpy.com",
  "xemaps.com",
  "xemne.com",
  "xents.com",
  "xjoi.com",
  "xl.cx",
  "xmail.com",
  "xmaily.com",
  "xn--9kq967o.com",
  "xn--d-bga.net",
  "xost.us",
  "xoxox.cc",
  "xperiae5.com",
  "xrho.com",
  "xvx.us",
  "xwaretech.com",
  "xwaretech.info",
  "xwaretech.net",
  "xww.ro",
  "xxhamsterxx.ga",
  "xxi2.com",
  "xxlocanto.us",
  "xxolocanto.us",
  "xxqx3802.com",
  "xyzfree.net",
  "xzsok.com",
  "yabai-oppai.tk",
  "yahmail.top",
  "yamail.win",
  "yanet.me",
  "yannmail.win",
  "yapped.net",
  "yaqp.com",
  "ycare.de",
  "ycn.ro",
  "ye.vc",
  "yedi.org",
  "yep.it",
  "yhg.biz",
  "ynmrealty.com",
  "yodx.ro",
  "yogamaven.com",
  "yomail.info",
  "yoo.ro",
  "yop.0x01.gq",
  "yopmail.com",
  "yopmail.fr",
  "yopmail.gq",
  "yopmail.net",
  "yopmail.pp.ua",
  "yopmail.usa.cc",
  "yordanmail.cf",
  "you-spam.com",
  "yougotgoated.com",
  "youmail.ga",
  "youmailr.com",
  "youneedmore.info",
  "youpymail.com",
  "yourdomain.com",
  "youremail.cf",
  "yourewronghereswhy.com",
  "yourlms.biz",
  "yourtube.ml",
  "yspend.com",
  "ytpayy.com",
  "yugasandrika.com",
  "yui.it",
  "yuurok.com",
  "yxzx.net",
  "yyolf.net",
  "z0d.eu",
  "z1p.biz",
  "z86.ru",
  "zain.site",
  "zainmax.net",
  "zaktouni.fr",
  "zasod.com",
  "zebins.com",
  "zebins.eu",
  "zehnminuten.de",
  "zehnminutenmail.de",
  "zepp.dk",
  "zetmail.com",
  "zfymail.com",
  "zhaoyuanedu.cn",
  "zhcne.com",
  "zhewei88.com",
  "zhorachu.com",
  "zik.dj",
  "zipcad.com",
  "zippymail.info",
  "zipsendtest.com",
  "zoaxe.com",
  "zoemail.com",
  "zoemail.net",
  "zoemail.org",
  "zoetropes.org",
  "zombie-hive.com",
  "zomg.info",
  "zumpul.com",
  "zv68.com",
  "zxcv.com",
  "zxcvbnm.com",
  "zymuying.com",
  "zzi.us",
  "zzz.com",
  "repshop.net",
  "enayu.com",
  "mailboxok.club",
  "firste.ml",
  "verifymail.win",
  "owlymail.com",
  "bupkiss.ml",
  "tikmail.gq",
  "richmail.ga",
  "hiwave.org",
  "urhen.com",
  "supere.ml",
  "zeroe.ml",
  "tmp01.pl",
  "zzrgg.com",
  "miucce.com",
  "niwghx.com",
  "kiabws.com",
  "niepodam.pl",
  "bcaoo.com",
  "jadamspam.pl",
  "squizzy.li",
  "biyac.com",
  "neclipspui.com",
  "maildim.com",
  "txtia.site",
  "wemel.site",
  "noobf.com",
  "zwoho.com",
  "nhmty.com",
  "cuoly.com",
  "eoopy.com",
  "mixbox.pl",
  "rpaymentov.com",
  "netmail.tk",
  "riseup.net",
  "zoobug.org",
  "leafzie.com",
  "wowcg.com",
  "topyte.com",
  "kvhrs.com",
  "bvhrk.com",
  "leadwizzer.com",
  "nvhrw.com",
  "dupa.pl",
  "nthrw.com",
  "vusra.com",
  "eposta.buzz",
  "nthrl.com",
  "tml.co.pl",
  "sinagalore.com",
  "zxc.pm",
  "bvhrs.com",
  "simdpi.com",
  "acrossgracealley.com",
  "kvhrr.com",
  "boofx.com",
  "tinydef.com",
  "slvlog.com",
  "suggerin.com",
  "234.ir",
  "kurwa.de",
  "ipinco.com",
  "jiooq.com",
  "angeleslid.com",
  "351453.xyz",
  "admarz.com",
  "vpsrec.com",
  "rxcay.com",
  "seinfaq.com",
  "nezid.com",
  "xcoxc.com",
  "vasqa.com",
  "megaradical.com",
  "privacylock.net",
  "silenceofthespam.com",
  "itsjiff.com",
  "spamsandwich.com",
  "whaaaaaaaaaat.com",
  "spamfellas.com",
  "chewydonut.com",
  "mailbiscuit.com",
  "lilspam.com",
  "hypenated-domain.com",
  "snakebutt.com",
  "sociallymediocre.com",
  "pizzajunk.com",
  "realquickemail.com",
  "thespamfather.com",
  "sharkfaces.com",
  "fake-box.com",
  "opentrash.com",
  "teml.net",
  "tmpeml.com",
  "tmpbox.net",
  "moakt.cc",
  "disbox.net",
  "c2.hu",
  "card.zp.ua",
  "courriel.fr.nf",
  "dfgh.net",
  "gotti.otherinbox.com",
  "mail.mezimages.net",
  "mail.zp.ua",
  "neverbox.com",
  "nospammail.net",
  "recursor.net",
  "emergentvillage.org",
  "runmail.club",
  "ema-sofia.eu",
  "runmail.club",
  "lurenwu.com",
  "zpapersek.com",
  "hrathletesd.com",
  "moenode.com",
  "iunicus.com",
  "xitudy.com",
  "02.tml.waw.pl",
  "otodir.com",
  "ulforex.com",
  "kvhrw.com",
  "eledeen.org",
  "esmoud.com",
  "keyido.com",
  "advew.com",
  "laluxy.com",
  "boxomail.live",
  "podam.pl",
  "pelung.com",
  "rocketestate724.com",
  "orlydns.com",
  "dnitem.com",
  "dineroa.com",
  "geekjun.com",
  "edxplus.com",
  "pahed.com",
  "ploneix.com",
  "bongcs.com",
  "uzxia.com",
  "ploneix.com",
  "cdfaq.com",
  "email.edu.pl",
  "vintomaper.com",
  "mentonit.net",
  "labworld.org",
  "freeml.net",
  "spymail.one",
  "coffeetimer24.com",
  "iubridge.com",
  "aladeen.org",
  "rungel.net",
  "gotgel.org",
  "jollyfree.com",
  "emailfacil.ml",
  "fakemail.io",
  "rediffmail.xyz",
  "zozimail.com",
  "uzomail.com",
  "pbl.edu.pl",
  "rubimail.com",
  "voopmail.com",
  "onetimemail.net",
  "boxomail.live",
  "kaimdr.com",
  "tmmcv.net",
  "charav.com",
  "bukhariansiddur.com",
  "edu.email.edu.pl",
  "mailto.plus",
  "fexpost.com",
  "fexbox.org",
  "mailbox.in.ua",
  "rover.info",
  "inpwa.com",
  "intopwa.com",
  "tofeat.com",
  "chitthi.in",
  "imdutex.com",
  "tmmbt.com",
  "easymailer.live",
  "socialstudy.biz",
  "decabg.eu",
  "biz-art.biz",
  "finews.biz",
  "brand-app.biz",
  "dragonhospital.net",
  "best-john-boats.com",
  "tormails.com",
  "tempmailfree.com",
  "cnxcoin.com",
  "cmeinbox.com",
  "chnlog.com",
  "tmail9.com",
  "tmail6.com",
  "posteronwall.com",
  "ntwteknoloji.com",
  "psnator.com",
  "mydefipet.live",
  "smartnator.com",
  "femailtor.com",
  "drowblock.com",
  "block521.com",
  "coooooool.com",
  "superblohey.com",
  "dishcatfish.com",
  "popcornfly.com",
  "dao.pp.ua",
  "mynes.com",
  "uefia.com",
  "zx81.ovh",
  "prc.cx",
  "0cd.cn",
  "cpc.cx",
  "1xp.fr",
  "tty.io",
  "e3b.org",
  "fou.ink",
  "thug.pw",
  "ves.ink",
  "new.ovh",
  "ip11.tk",
  "ab34.fr",
  "o--b.tk",
  "q0.us.to",
  "otiss.gq",
  "tokai.tk",
  "ashun.ml",
  "dollstore.org",
  "deeloox.com",
  "toolquit.com",
  "foundtoo.com",
  "moabuild.com",
  "nmappingqk.com",
  "ultra.fyi",
  "10minmail.de",
  "10minutenmail.xyz",
  "existiert.net",
  "fliegender.fish",
  "jaga.email",
  "mdz.email",
  "muellmail.com",
  "muellemail.com",
  "muell.monster",
  "muell.icu",
  "muell.io",
  "muell.xyz",
  "magspam.net",
  "fukaru.com",
  "oida.icu",
  "papierkorb.me",
  "spam.care",
  "tonne.to",
  "dsgvo.party",
  "knickerbockerban.de",
  "lambsauce.de",
  "ramenmail.de",
  "bbitq.com",
  "bbitf.com",
  "ukbob.com",
  "etempmail.tk",
  "candassociates.com",
  "yks247.com",
  "zcrcd.com",
  "sdvgeft.com",
  "proxiesblog.com",
  "tmednews.com",
  "uivvn.net",
  "zqrni.com",
  "tbbyt.net",
  "obxstorm.com",
  "biohorta.com",
  "britted.com",
  "dmsdmg.com",
  "tovinit.com",
  "northsixty.com",
  "eyeremind.com",
  "ovooovo.com",
  "kweekendci.com",
  "bptfp.net",
  "inscriptio.in",
  "ianvvn.com",
  "godpeed.com",
  "vigoneo.com",
  "bbitj.com",
  "extemer.com",
  "zbock.com",
  "dronetz.com",
  "tcwlx.com",
  "mailinator.pl",
  "qperformsrx.com",
  "omeie.com",
  "tpwlb.com",
  "cazlg.com",
  "mymaily.lol",
  "mahmul.com",
  "lukaat.com",
  "nasskar.com",
  "meogl.com",
  "madeforthat.org",
  "zslsz.com",
  "fitwl.com",
  "frederictonlawyer.com",
  "gufum.com"
]

GOOD_DOMAINS = [
  "eclipse-foundation.org",
  "gmail.com",
  "yahoo.ca",
  "live.ca",
  "ikeafanclub.swe",
  "funnybiz.co"
]

NAMES = [
  "Jim",
  "Dwight",
  "Michael",
  "Pam",
  "Angela",
  "Bob",
  "Matt",
  "Chris",
  "Eric",
  "Mac",
  "Andy",
  "Jen",
  "Amanda",
  "Kim",
  "Roxanne",
  "Caroline",
  "Beth",
  "Mary"
]

## LDAP binding credentials
ldap_bind_dn = ARGV[0]

## number of user entries to generate
count = Integer(ARGV[1])

## Set up loop to iterate over each of the entries
idx = 1
until idx >= count do
  current_domain = DOMAINS.sample
  sn_real_name = NAMES.sample
  current_cn = "#{sn_real_name.downcase}#{idx}_spam"
  puts "Using domain #{current_domain} for entry #{idx}, generating ldif"
  `echo "dn: cn=#{current_cn},ou=people,#{ldap_bind_dn}\nobjectclass: inetOrgPerson\ncn: #{current_cn}\nmail: #{current_cn}@#{current_domain}\nsn: #{sn_real_name}\nuid: #{current_cn}\nuserPassword: 123456" > /tmp/#{current_cn}.ldif`

  ## Generate entry from temporary ldif entry
  `ldapadd -x -D cn=admin,#{ldap_bind_dn} -w admin -f /tmp/#{current_cn}.ldif`
  
  ## Delete command if you want to clean up the temp entries later
  #`ldapdelete -x -D cn=admin,#{ldap_bind_dn} -w admin "cn=#{current_cn},ou=people,#{ldap_bind_dn}"`
  ## Increment the index and continue to loop
  idx = idx + 1
end